<template>
  <div class="mt-4">
    <p class="text-2xl underline my-4">{{ $t(`experience.${name}.title`) }}</p>

    <div class="pl-4">
      <p>
        <span class="font-bold">{{ $t(`experience.${name}.company`) }} </span>
        <span class="italic">{{ $t(`experience.${name}.period`) }}</span>
      </p>

      <p>{{ $t(`experience.${name}.project`) }}</p>
      <br />

      <p>{{ $t(`experience.${name}.description`) }}</p>

      <h3 class="my-4 text-xl">{{ $t(`experience.common.milestones`) }}</h3>
      <ul class="my-4 pl-4 list-disc text-tertiary">
        <li
          v-for="milestone in $t(`experience.${name}.milestones`)"
          :key="milestone"
        >
          {{ milestone }}
        </li>
      </ul>

      <h3 class="my-4 text-xl">{{ $t(`experience.common.techStack`) }}</h3>

      <h4 v-if="$t(`experience.${name}.frameworks`).length > 0" class="text-lg">
        {{ $t(`experience.common.frameworks`) }}
      </h4>
      <div class="list-disc list-inside my-4 text-gray-800">
        <branded-tokens
          v-for="framework in $t(`experience.${name}.frameworks`)"
          :key="framework"
          :name="framework"
          >{{ $t(`experience.common.framework.` + framework) }}</branded-tokens
        >
      </div>

      <h4 v-if="$t(`experience.${name}.languages`).length > 0" class="text-lg">
        {{ $t(`experience.common.languages`) }}
      </h4>
      <div class="list-disc list-inside my-4 text-gray-800">
        <branded-tokens
          v-for="language in $t(`experience.${name}.languages`)"
          :key="language"
          :name="language"
          >{{ $t(`experience.common.language.` + language) }}</branded-tokens
        >
      </div>

      <h4 v-if="$t(`experience.${name}.databases`).length > 0" class="text-lg">
        {{ $t(`experience.common.databases`) }}
      </h4>
      <div class="list-disc list-inside my-4 text-gray-800">
        <branded-tokens
          v-for="database in $t(`experience.${name}.databases`)"
          :key="database"
          :name="database"
          >{{ $t(`experience.common.database.` + database) }}</branded-tokens
        >
      </div>

      <h4 v-if="$t(`experience.${name}.tools`).length > 0" class="text-lg">
        {{ $t(`experience.common.tools`) }}
      </h4>
      <ul class="list-disc list-inside my-4 text-gray-800g">
        <branded-tokens
          v-for="tool in $t(`experience.${name}.tools`)"
          :key="tool"
          :name="tool"
          >{{ $t(`experience.common.tool.` + tool) }}</branded-tokens
        >
      </ul>

      <h4
        v-if="$t(`experience.${name}.technologies`).length > 0"
        class="text-lg"
      >
        {{ $t(`experience.common.technologies`) }}
      </h4>
      <div class="list-disc list-inside my-4 text-gray-800">
        <branded-tokens
          v-for="technology in $t(`experience.${name}.technologies`)"
          :key="technology"
          name=""
          >{{
            $t(`experience.common.technology.` + technology)
          }}</branded-tokens
        >
      </div>
    </div>
    <slot></slot>
  </div>
</template>

<script>
import BrandedTokens from "../brandedTokens/BrandedTokens.vue";

export default {
  components: { BrandedTokens },
  name: "experience",
  props: {
    name: String,
  },
  data: () => {
    return {};
  },
};
</script>

<style scoped>
</style>
